Imported Upstream version 1.49.1
[platform/upstream/gobject-introspection.git] / tests / repository / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 EXTRA_PROGRAMS = gitestrepo$(EXEEXT) giteststructinfo$(EXEEXT) \
91         gitestthrows$(EXEEXT) gitypelibtest$(EXEEXT)
92 TESTS = gitestrepo$(EXEEXT) giteststructinfo$(EXEEXT) \
93         gitestthrows$(EXEEXT) gitypelibtest$(EXEEXT)
94 subdir = tests/repository
95 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
97         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
98         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
99         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
100         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
101 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102         $(ACLOCAL_M4)
103 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104 mkinstalldirs = $(install_sh) -d
105 CONFIG_HEADER = $(top_builddir)/config.h
106 CONFIG_CLEAN_FILES =
107 CONFIG_CLEAN_VPATH_FILES =
108 am_gitestrepo_OBJECTS = gitestrepo-gitestrepo.$(OBJEXT)
109 gitestrepo_OBJECTS = $(am_gitestrepo_OBJECTS)
110 am__DEPENDENCIES_1 =
111 gitestrepo_DEPENDENCIES = $(top_builddir)/libgirepository-1.0.la \
112         $(am__DEPENDENCIES_1)
113 AM_V_lt = $(am__v_lt_@AM_V@)
114 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
115 am__v_lt_0 = --silent
116 am__v_lt_1 = 
117 am_giteststructinfo_OBJECTS =  \
118         giteststructinfo-giteststructinfo.$(OBJEXT)
119 giteststructinfo_OBJECTS = $(am_giteststructinfo_OBJECTS)
120 giteststructinfo_DEPENDENCIES =  \
121         $(top_builddir)/libgirepository-1.0.la $(am__DEPENDENCIES_1)
122 am_gitestthrows_OBJECTS = gitestthrows-gitestthrows.$(OBJEXT)
123 gitestthrows_OBJECTS = $(am_gitestthrows_OBJECTS)
124 gitestthrows_DEPENDENCIES = $(top_builddir)/libgirepository-1.0.la \
125         $(am__DEPENDENCIES_1)
126 am_gitypelibtest_OBJECTS = gitypelibtest-gitypelibtest.$(OBJEXT)
127 gitypelibtest_OBJECTS = $(am_gitypelibtest_OBJECTS)
128 gitypelibtest_DEPENDENCIES = $(top_builddir)/libgirepository-1.0.la \
129         $(am__DEPENDENCIES_1)
130 AM_V_P = $(am__v_P_@AM_V@)
131 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
132 am__v_P_0 = false
133 am__v_P_1 = :
134 AM_V_GEN = $(am__v_GEN_@AM_V@)
135 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
136 am__v_GEN_0 = @echo "  GEN     " $@;
137 am__v_GEN_1 = 
138 AM_V_at = $(am__v_at_@AM_V@)
139 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
140 am__v_at_0 = @
141 am__v_at_1 = 
142 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
143 depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
144 am__depfiles_maybe = depfiles
145 am__mv = mv -f
146 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
147         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
148 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
149         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
150         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
151         $(AM_CFLAGS) $(CFLAGS)
152 AM_V_CC = $(am__v_CC_@AM_V@)
153 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
154 am__v_CC_0 = @echo "  CC      " $@;
155 am__v_CC_1 = 
156 CCLD = $(CC)
157 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
158         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
159         $(AM_LDFLAGS) $(LDFLAGS) -o $@
160 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
161 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
162 am__v_CCLD_0 = @echo "  CCLD    " $@;
163 am__v_CCLD_1 = 
164 SOURCES = $(gitestrepo_SOURCES) $(giteststructinfo_SOURCES) \
165         $(gitestthrows_SOURCES) $(gitypelibtest_SOURCES)
166 DIST_SOURCES = $(gitestrepo_SOURCES) $(giteststructinfo_SOURCES) \
167         $(gitestthrows_SOURCES) $(gitypelibtest_SOURCES)
168 am__can_run_installinfo = \
169   case $$AM_UPDATE_INFO_DIR in \
170     n|no|NO) false;; \
171     *) (install-info --version) >/dev/null 2>&1;; \
172   esac
173 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
174 # Read a list of newline-separated strings from the standard input,
175 # and print each of them once, without duplicates.  Input order is
176 # *not* preserved.
177 am__uniquify_input = $(AWK) '\
178   BEGIN { nonempty = 0; } \
179   { items[$$0] = 1; nonempty = 1; } \
180   END { if (nonempty) { for (i in items) print i; }; } \
181 '
182 # Make sure the list of sources is unique.  This is necessary because,
183 # e.g., the same source file might be shared among _SOURCES variables
184 # for different programs/libraries.
185 am__define_uniq_tagged_files = \
186   list='$(am__tagged_files)'; \
187   unique=`for i in $$list; do \
188     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
189   done | $(am__uniquify_input)`
190 ETAGS = etags
191 CTAGS = ctags
192 am__tty_colors_dummy = \
193   mgn= red= grn= lgn= blu= brg= std=; \
194   am__color_tests=no
195 am__tty_colors = { \
196   $(am__tty_colors_dummy); \
197   if test "X$(AM_COLOR_TESTS)" = Xno; then \
198     am__color_tests=no; \
199   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
200     am__color_tests=yes; \
201   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
202     am__color_tests=yes; \
203   fi; \
204   if test $$am__color_tests = yes; then \
205     red='\e[0;31m'; \
206     grn='\e[0;32m'; \
207     lgn='\e[1;32m'; \
208     blu='\e[1;34m'; \
209     mgn='\e[0;35m'; \
210     brg='\e[1m'; \
211     std='\e[m'; \
212   fi; \
213 }
214 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
215 am__vpath_adj = case $$p in \
216     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
217     *) f=$$p;; \
218   esac;
219 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
220 am__install_max = 40
221 am__nobase_strip_setup = \
222   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
223 am__nobase_strip = \
224   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
225 am__nobase_list = $(am__nobase_strip_setup); \
226   for p in $$list; do echo "$$p $$p"; done | \
227   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
228   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
229     if (++n[$$2] == $(am__install_max)) \
230       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
231     END { for (dir in files) print dir, files[dir] }'
232 am__base_list = \
233   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
234   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
235 am__uninstall_files_from_dir = { \
236   test -z "$$files" \
237     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
238     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
239          $(am__cd) "$$dir" && rm -f $$files; }; \
240   }
241 am__recheck_rx = ^[     ]*:recheck:[    ]*
242 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
243 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
244 # A command that, given a newline-separated list of test names on the
245 # standard input, print the name of the tests that are to be re-run
246 # upon "make recheck".
247 am__list_recheck_tests = $(AWK) '{ \
248   recheck = 1; \
249   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
250     { \
251       if (rc < 0) \
252         { \
253           if ((getline line2 < ($$0 ".log")) < 0) \
254             recheck = 0; \
255           break; \
256         } \
257       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
258         { \
259           recheck = 0; \
260           break; \
261         } \
262       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
263         { \
264           break; \
265         } \
266     }; \
267   if (recheck) \
268     print $$0; \
269   close ($$0 ".trs"); \
270   close ($$0 ".log"); \
271 }'
272 # A command that, given a newline-separated list of test names on the
273 # standard input, create the global log from their .trs and .log files.
274 am__create_global_log = $(AWK) ' \
275 function fatal(msg) \
276 { \
277   print "fatal: making $@: " msg | "cat >&2"; \
278   exit 1; \
279 } \
280 function rst_section(header) \
281 { \
282   print header; \
283   len = length(header); \
284   for (i = 1; i <= len; i = i + 1) \
285     printf "="; \
286   printf "\n\n"; \
287 } \
288 { \
289   copy_in_global_log = 1; \
290   global_test_result = "RUN"; \
291   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
292     { \
293       if (rc < 0) \
294          fatal("failed to read from " $$0 ".trs"); \
295       if (line ~ /$(am__global_test_result_rx)/) \
296         { \
297           sub("$(am__global_test_result_rx)", "", line); \
298           sub("[        ]*$$", "", line); \
299           global_test_result = line; \
300         } \
301       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
302         copy_in_global_log = 0; \
303     }; \
304   if (copy_in_global_log) \
305     { \
306       rst_section(global_test_result ": " $$0); \
307       while ((rc = (getline line < ($$0 ".log"))) != 0) \
308       { \
309         if (rc < 0) \
310           fatal("failed to read from " $$0 ".log"); \
311         print line; \
312       }; \
313       printf "\n"; \
314     }; \
315   close ($$0 ".trs"); \
316   close ($$0 ".log"); \
317 }'
318 # Restructured Text title.
319 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
320 # Solaris 10 'make', and several other traditional 'make' implementations,
321 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
322 # by disabling -e (using the XSI extension "set +e") if it's set.
323 am__sh_e_setup = case $$- in *e*) set +e;; esac
324 # Default flags passed to test drivers.
325 am__common_driver_flags = \
326   --color-tests "$$am__color_tests" \
327   --enable-hard-errors "$$am__enable_hard_errors" \
328   --expect-failure "$$am__expect_failure"
329 # To be inserted before the command running the test.  Creates the
330 # directory for the log if needed.  Stores in $dir the directory
331 # containing $f, in $tst the test, in $log the log.  Executes the
332 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
333 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
334 # will run the test scripts (or their associated LOG_COMPILER, if
335 # thy have one).
336 am__check_pre = \
337 $(am__sh_e_setup);                                      \
338 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
339 $(am__tty_colors);                                      \
340 srcdir=$(srcdir); export srcdir;                        \
341 case "$@" in                                            \
342   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
343     *) am__odir=.;;                                     \
344 esac;                                                   \
345 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
346   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
347 if test -f "./$$f"; then dir=./;                        \
348 elif test -f "$$f"; then dir=;                          \
349 else dir="$(srcdir)/"; fi;                              \
350 tst=$$dir$$f; log='$@';                                 \
351 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
352   am__enable_hard_errors=no;                            \
353 else                                                    \
354   am__enable_hard_errors=yes;                           \
355 fi;                                                     \
356 case " $(XFAIL_TESTS) " in                              \
357   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
358     am__expect_failure=yes;;                            \
359   *)                                                    \
360     am__expect_failure=no;;                             \
361 esac;                                                   \
362 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
363 # A shell command to get the names of the tests scripts with any registered
364 # extension removed (i.e., equivalently, the names of the test logs, with
365 # the '.log' extension removed).  The result is saved in the shell variable
366 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
367 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
368 # since that might cause problem with VPATH rewrites for suffix-less tests.
369 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
370 am__set_TESTS_bases = \
371   bases='$(TEST_LOGS)'; \
372   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
373   bases=`echo $$bases`
374 RECHECK_LOGS = $(TEST_LOGS)
375 AM_RECURSIVE_TARGETS = check recheck
376 TEST_SUITE_LOG = test-suite.log
377 TEST_EXTENSIONS = @EXEEXT@ .test
378 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
379 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
380 am__set_b = \
381   case '$@' in \
382     */*) \
383       case '$*' in \
384         */*) b='$*';; \
385           *) b=`echo '$@' | sed 's/\.log$$//'`; \
386        esac;; \
387     *) \
388       b='$*';; \
389   esac
390 am__test_logs1 = $(TESTS:=.log)
391 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
392 TEST_LOGS = $(am__test_logs2:.test.log=.log)
393 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
394 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
395         $(TEST_LOG_FLAGS)
396 am__DIST_COMMON = $(srcdir)/Makefile.in \
397         $(top_srcdir)/build-aux/depcomp \
398         $(top_srcdir)/build-aux/test-driver
399 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
400 ACLOCAL = @ACLOCAL@
401 AMTAR = @AMTAR@
402 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
403 AR = @AR@
404 AUTOCONF = @AUTOCONF@
405 AUTOHEADER = @AUTOHEADER@
406 AUTOMAKE = @AUTOMAKE@
407 AWK = @AWK@
408 CAIRO_CFLAGS = @CAIRO_CFLAGS@
409 CAIRO_GIR_PACKAGE = @CAIRO_GIR_PACKAGE@
410 CAIRO_LIBS = @CAIRO_LIBS@
411 CAIRO_SHARED_LIBRARY = @CAIRO_SHARED_LIBRARY@
412 CC = @CC@
413 CCDEPMODE = @CCDEPMODE@
414 CFLAGS = @CFLAGS@
415 CPP = @CPP@
416 CPPFLAGS = @CPPFLAGS@
417 CYGPATH_W = @CYGPATH_W@
418 DEFS = @DEFS@
419 DEPDIR = @DEPDIR@
420 DLLTOOL = @DLLTOOL@
421 DSYMUTIL = @DSYMUTIL@
422 DUMPBIN = @DUMPBIN@
423 ECHO_C = @ECHO_C@
424 ECHO_N = @ECHO_N@
425 ECHO_T = @ECHO_T@
426 EGREP = @EGREP@
427 EXEEXT = @EXEEXT@
428 EXPANDED_BINDIR = @EXPANDED_BINDIR@
429 EXPANDED_DATADIR = @EXPANDED_DATADIR@
430 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
431 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
432 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
433 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
434 EXTRA_LINK_FLAGS = @EXTRA_LINK_FLAGS@
435 FFI_CFLAGS = @FFI_CFLAGS@
436 FFI_LIBS = @FFI_LIBS@
437 FFI_PC_CFLAGS = @FFI_PC_CFLAGS@
438 FFI_PC_LIBS = @FFI_PC_LIBS@
439 FFI_PC_PACKAGES = @FFI_PC_PACKAGES@
440 FGREP = @FGREP@
441 GIO_CFLAGS = @GIO_CFLAGS@
442 GIO_LIBS = @GIO_LIBS@
443 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
444 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
445 GIREPO_CFLAGS = @GIREPO_CFLAGS@
446 GIREPO_LIBS = @GIREPO_LIBS@
447 GIR_DIR = @GIR_DIR@
448 GIR_SUFFIX = @GIR_SUFFIX@
449 GI_HIDDEN_VISIBILITY_CFLAGS = @GI_HIDDEN_VISIBILITY_CFLAGS@
450 GI_VERSION = @GI_VERSION@
451 GLIBSRC = @GLIBSRC@
452 GLIB_CFLAGS = @GLIB_CFLAGS@
453 GLIB_LIBS = @GLIB_LIBS@
454 GMODULE_CFLAGS = @GMODULE_CFLAGS@
455 GMODULE_LIBS = @GMODULE_LIBS@
456 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
457 GOBJECT_INTROSPECTION_LIBDIR = @GOBJECT_INTROSPECTION_LIBDIR@
458 GOBJECT_LIBS = @GOBJECT_LIBS@
459 GREP = @GREP@
460 GTKDOC_CHECK = @GTKDOC_CHECK@
461 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
462 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
463 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
464 GTKDOC_MKPDF = @GTKDOC_MKPDF@
465 GTKDOC_REBASE = @GTKDOC_REBASE@
466 HTML_DIR = @HTML_DIR@
467 INSTALL = @INSTALL@
468 INSTALL_DATA = @INSTALL_DATA@
469 INSTALL_PROGRAM = @INSTALL_PROGRAM@
470 INSTALL_SCRIPT = @INSTALL_SCRIPT@
471 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
472 LD = @LD@
473 LDFLAGS = @LDFLAGS@
474 LEX = @LEX@
475 LEXLIB = @LEXLIB@
476 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
477 LIBOBJS = @LIBOBJS@
478 LIBS = $(GOBJECT_LIBS)
479 LIBTOOL = @LIBTOOL@
480 LIPO = @LIPO@
481 LN_S = @LN_S@
482 LTLIBOBJS = @LTLIBOBJS@
483 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
484 MAINT = @MAINT@
485 MAKEINFO = @MAKEINFO@
486 MANIFEST_TOOL = @MANIFEST_TOOL@
487 MKDIR_P = @MKDIR_P@
488 NM = @NM@
489 NMEDIT = @NMEDIT@
490 OBJDUMP = @OBJDUMP@
491 OBJEXT = @OBJEXT@
492 OTOOL = @OTOOL@
493 OTOOL64 = @OTOOL64@
494 PACKAGE = @PACKAGE@
495 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
496 PACKAGE_NAME = @PACKAGE_NAME@
497 PACKAGE_STRING = @PACKAGE_STRING@
498 PACKAGE_TARNAME = @PACKAGE_TARNAME@
499 PACKAGE_URL = @PACKAGE_URL@
500 PACKAGE_VERSION = @PACKAGE_VERSION@
501 PATH_SEPARATOR = @PATH_SEPARATOR@
502 PKG_CONFIG = @PKG_CONFIG@
503 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
504 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
505 POW_LIB = @POW_LIB@
506 PYTHON = @PYTHON@
507 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
508 PYTHON_INCLUDES = @PYTHON_INCLUDES@
509 PYTHON_LIBS = @PYTHON_LIBS@
510 PYTHON_PLATFORM = @PYTHON_PLATFORM@
511 PYTHON_PREFIX = @PYTHON_PREFIX@
512 PYTHON_VERSION = @PYTHON_VERSION@
513 RANLIB = @RANLIB@
514 SCANNER_CFLAGS = @SCANNER_CFLAGS@
515 SCANNER_LIBS = @SCANNER_LIBS@
516 SED = @SED@
517 SET_MAKE = @SET_MAKE@
518 SHELL = @SHELL@
519 STRIP = @STRIP@
520 VERSION = @VERSION@
521 YACC = @YACC@
522 abs_builddir = @abs_builddir@
523 abs_srcdir = @abs_srcdir@
524 abs_top_builddir = @abs_top_builddir@
525 abs_top_srcdir = @abs_top_srcdir@
526 ac_ct_AR = @ac_ct_AR@
527 ac_ct_CC = @ac_ct_CC@
528 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
529 am__include = @am__include@
530 am__leading_dot = @am__leading_dot@
531 am__quote = @am__quote@
532 am__tar = @am__tar@
533 am__untar = @am__untar@
534 bindir = @bindir@
535 build = @build@
536 build_alias = @build_alias@
537 build_cpu = @build_cpu@
538 build_os = @build_os@
539 build_vendor = @build_vendor@
540 builddir = @builddir@
541 datadir = @datadir@
542 datarootdir = @datarootdir@
543 docdir = @docdir@
544 dvidir = @dvidir@
545 exec_prefix = @exec_prefix@
546 host = @host@
547 host_alias = @host_alias@
548 host_cpu = @host_cpu@
549 host_os = @host_os@
550 host_vendor = @host_vendor@
551 htmldir = @htmldir@
552 includedir = @includedir@
553 infodir = @infodir@
554 install_sh = @install_sh@
555 libdir = @libdir@
556 libexecdir = @libexecdir@
557 localedir = @localedir@
558 localstatedir = @localstatedir@
559 mandir = @mandir@
560 mkdir_p = @mkdir_p@
561 oldincludedir = @oldincludedir@
562 pdfdir = @pdfdir@
563 pkgpyexecdir = @pkgpyexecdir@
564 pkgpythondir = @pkgpythondir@
565 prefix = @prefix@
566 program_transform_name = @program_transform_name@
567 psdir = @psdir@
568 pyexecdir = @pyexecdir@
569 pythondir = @pythondir@
570 sbindir = @sbindir@
571 sharedstatedir = @sharedstatedir@
572 srcdir = @srcdir@
573 sysconfdir = @sysconfdir@
574 target_alias = @target_alias@
575 top_build_prefix = @top_build_prefix@
576 top_builddir = @top_builddir@
577 top_srcdir = @top_srcdir@
578 AM_CFLAGS = $(GOBJECT_CFLAGS)
579 AM_LDFLAGS = -module -avoid-version
580 CLEANFILES = $(EXTRA_PROGRAMS)
581 gitestrepo_SOURCES = $(srcdir)/gitestrepo.c
582 gitestrepo_CPPFLAGS = $(GIREPO_CFLAGS) -I$(top_srcdir)/girepository
583 gitestrepo_LDADD = $(top_builddir)/libgirepository-1.0.la $(GIREPO_LIBS)
584 giteststructinfo_SOURCES = $(srcdir)/giteststructinfo.c
585 giteststructinfo_CPPFLAGS = $(GIREPO_CFLAGS) -I$(top_srcdir)/girepository
586 giteststructinfo_LDADD = $(top_builddir)/libgirepository-1.0.la $(GIREPO_LIBS)
587 gitestthrows_SOURCES = $(srcdir)/gitestthrows.c
588 gitestthrows_CPPFLAGS = $(GIREPO_CFLAGS) -I$(top_srcdir)/girepository
589 gitestthrows_LDADD = $(top_builddir)/libgirepository-1.0.la $(GIREPO_LIBS)
590 gitypelibtest_SOURCES = $(srcdir)/gitypelibtest.c
591 gitypelibtest_CPPFLAGS = $(GIREPO_CFLAGS) -I$(top_srcdir)/girepository
592 gitypelibtest_LDADD = $(top_builddir)/libgirepository-1.0.la $(GIREPO_LIBS)
593 TESTS_ENVIRONMENT = env GI_TYPELIB_PATH="$(top_builddir):$(top_builddir)/gir:$(top_builddir)/tests:$(top_builddir)/tests/scanner" \
594         PATH="$(top_builddir)/tests/scanner/.libs:$(PATH)" \
595         CC="$(CC)" \
596         LD_LIBRARY_PATH="$(top_builddir)/tests/scanner/.libs:$(LD_LIBRARY_PATH)" \
597         $(DEBUG)
598
599 all: all-am
600
601 .SUFFIXES:
602 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
603 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
604         @for dep in $?; do \
605           case '$(am__configure_deps)' in \
606             *$$dep*) \
607               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
608                 && { if test -f $@; then exit 0; else break; fi; }; \
609               exit 1;; \
610           esac; \
611         done; \
612         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/repository/Makefile'; \
613         $(am__cd) $(top_srcdir) && \
614           $(AUTOMAKE) --foreign tests/repository/Makefile
615 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
616         @case '$?' in \
617           *config.status*) \
618             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
619           *) \
620             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
621             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
622         esac;
623
624 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
625         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
626
627 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
628         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
629 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
630         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
631 $(am__aclocal_m4_deps):
632
633 gitestrepo$(EXEEXT): $(gitestrepo_OBJECTS) $(gitestrepo_DEPENDENCIES) $(EXTRA_gitestrepo_DEPENDENCIES) 
634         @rm -f gitestrepo$(EXEEXT)
635         $(AM_V_CCLD)$(LINK) $(gitestrepo_OBJECTS) $(gitestrepo_LDADD) $(LIBS)
636
637 giteststructinfo$(EXEEXT): $(giteststructinfo_OBJECTS) $(giteststructinfo_DEPENDENCIES) $(EXTRA_giteststructinfo_DEPENDENCIES) 
638         @rm -f giteststructinfo$(EXEEXT)
639         $(AM_V_CCLD)$(LINK) $(giteststructinfo_OBJECTS) $(giteststructinfo_LDADD) $(LIBS)
640
641 gitestthrows$(EXEEXT): $(gitestthrows_OBJECTS) $(gitestthrows_DEPENDENCIES) $(EXTRA_gitestthrows_DEPENDENCIES) 
642         @rm -f gitestthrows$(EXEEXT)
643         $(AM_V_CCLD)$(LINK) $(gitestthrows_OBJECTS) $(gitestthrows_LDADD) $(LIBS)
644
645 gitypelibtest$(EXEEXT): $(gitypelibtest_OBJECTS) $(gitypelibtest_DEPENDENCIES) $(EXTRA_gitypelibtest_DEPENDENCIES) 
646         @rm -f gitypelibtest$(EXEEXT)
647         $(AM_V_CCLD)$(LINK) $(gitypelibtest_OBJECTS) $(gitypelibtest_LDADD) $(LIBS)
648
649 mostlyclean-compile:
650         -rm -f *.$(OBJEXT)
651
652 distclean-compile:
653         -rm -f *.tab.c
654
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gitestrepo-gitestrepo.Po@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/giteststructinfo-giteststructinfo.Po@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gitestthrows-gitestthrows.Po@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gitypelibtest-gitypelibtest.Po@am__quote@
659
660 .c.o:
661 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
662 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
665 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
666
667 .c.obj:
668 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
669 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
672 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
673
674 .c.lo:
675 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
676 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
679 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
680
681 gitestrepo-gitestrepo.o: $(srcdir)/gitestrepo.c
682 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestrepo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gitestrepo-gitestrepo.o -MD -MP -MF $(DEPDIR)/gitestrepo-gitestrepo.Tpo -c -o gitestrepo-gitestrepo.o `test -f '$(srcdir)/gitestrepo.c' || echo '$(srcdir)/'`$(srcdir)/gitestrepo.c
683 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/gitestrepo-gitestrepo.Tpo $(DEPDIR)/gitestrepo-gitestrepo.Po
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/gitestrepo.c' object='gitestrepo-gitestrepo.o' libtool=no @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestrepo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gitestrepo-gitestrepo.o `test -f '$(srcdir)/gitestrepo.c' || echo '$(srcdir)/'`$(srcdir)/gitestrepo.c
687
688 gitestrepo-gitestrepo.obj: $(srcdir)/gitestrepo.c
689 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestrepo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gitestrepo-gitestrepo.obj -MD -MP -MF $(DEPDIR)/gitestrepo-gitestrepo.Tpo -c -o gitestrepo-gitestrepo.obj `if test -f '$(srcdir)/gitestrepo.c'; then $(CYGPATH_W) '$(srcdir)/gitestrepo.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/gitestrepo.c'; fi`
690 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/gitestrepo-gitestrepo.Tpo $(DEPDIR)/gitestrepo-gitestrepo.Po
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/gitestrepo.c' object='gitestrepo-gitestrepo.obj' libtool=no @AMDEPBACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
693 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestrepo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gitestrepo-gitestrepo.obj `if test -f '$(srcdir)/gitestrepo.c'; then $(CYGPATH_W) '$(srcdir)/gitestrepo.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/gitestrepo.c'; fi`
694
695 giteststructinfo-giteststructinfo.o: $(srcdir)/giteststructinfo.c
696 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(giteststructinfo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT giteststructinfo-giteststructinfo.o -MD -MP -MF $(DEPDIR)/giteststructinfo-giteststructinfo.Tpo -c -o giteststructinfo-giteststructinfo.o `test -f '$(srcdir)/giteststructinfo.c' || echo '$(srcdir)/'`$(srcdir)/giteststructinfo.c
697 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/giteststructinfo-giteststructinfo.Tpo $(DEPDIR)/giteststructinfo-giteststructinfo.Po
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/giteststructinfo.c' object='giteststructinfo-giteststructinfo.o' libtool=no @AMDEPBACKSLASH@
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(giteststructinfo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o giteststructinfo-giteststructinfo.o `test -f '$(srcdir)/giteststructinfo.c' || echo '$(srcdir)/'`$(srcdir)/giteststructinfo.c
701
702 giteststructinfo-giteststructinfo.obj: $(srcdir)/giteststructinfo.c
703 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(giteststructinfo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT giteststructinfo-giteststructinfo.obj -MD -MP -MF $(DEPDIR)/giteststructinfo-giteststructinfo.Tpo -c -o giteststructinfo-giteststructinfo.obj `if test -f '$(srcdir)/giteststructinfo.c'; then $(CYGPATH_W) '$(srcdir)/giteststructinfo.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/giteststructinfo.c'; fi`
704 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/giteststructinfo-giteststructinfo.Tpo $(DEPDIR)/giteststructinfo-giteststructinfo.Po
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/giteststructinfo.c' object='giteststructinfo-giteststructinfo.obj' libtool=no @AMDEPBACKSLASH@
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(giteststructinfo_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o giteststructinfo-giteststructinfo.obj `if test -f '$(srcdir)/giteststructinfo.c'; then $(CYGPATH_W) '$(srcdir)/giteststructinfo.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/giteststructinfo.c'; fi`
708
709 gitestthrows-gitestthrows.o: $(srcdir)/gitestthrows.c
710 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestthrows_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gitestthrows-gitestthrows.o -MD -MP -MF $(DEPDIR)/gitestthrows-gitestthrows.Tpo -c -o gitestthrows-gitestthrows.o `test -f '$(srcdir)/gitestthrows.c' || echo '$(srcdir)/'`$(srcdir)/gitestthrows.c
711 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/gitestthrows-gitestthrows.Tpo $(DEPDIR)/gitestthrows-gitestthrows.Po
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/gitestthrows.c' object='gitestthrows-gitestthrows.o' libtool=no @AMDEPBACKSLASH@
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestthrows_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gitestthrows-gitestthrows.o `test -f '$(srcdir)/gitestthrows.c' || echo '$(srcdir)/'`$(srcdir)/gitestthrows.c
715
716 gitestthrows-gitestthrows.obj: $(srcdir)/gitestthrows.c
717 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestthrows_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gitestthrows-gitestthrows.obj -MD -MP -MF $(DEPDIR)/gitestthrows-gitestthrows.Tpo -c -o gitestthrows-gitestthrows.obj `if test -f '$(srcdir)/gitestthrows.c'; then $(CYGPATH_W) '$(srcdir)/gitestthrows.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/gitestthrows.c'; fi`
718 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/gitestthrows-gitestthrows.Tpo $(DEPDIR)/gitestthrows-gitestthrows.Po
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/gitestthrows.c' object='gitestthrows-gitestthrows.obj' libtool=no @AMDEPBACKSLASH@
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitestthrows_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gitestthrows-gitestthrows.obj `if test -f '$(srcdir)/gitestthrows.c'; then $(CYGPATH_W) '$(srcdir)/gitestthrows.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/gitestthrows.c'; fi`
722
723 gitypelibtest-gitypelibtest.o: $(srcdir)/gitypelibtest.c
724 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitypelibtest_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gitypelibtest-gitypelibtest.o -MD -MP -MF $(DEPDIR)/gitypelibtest-gitypelibtest.Tpo -c -o gitypelibtest-gitypelibtest.o `test -f '$(srcdir)/gitypelibtest.c' || echo '$(srcdir)/'`$(srcdir)/gitypelibtest.c
725 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/gitypelibtest-gitypelibtest.Tpo $(DEPDIR)/gitypelibtest-gitypelibtest.Po
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/gitypelibtest.c' object='gitypelibtest-gitypelibtest.o' libtool=no @AMDEPBACKSLASH@
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitypelibtest_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gitypelibtest-gitypelibtest.o `test -f '$(srcdir)/gitypelibtest.c' || echo '$(srcdir)/'`$(srcdir)/gitypelibtest.c
729
730 gitypelibtest-gitypelibtest.obj: $(srcdir)/gitypelibtest.c
731 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitypelibtest_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gitypelibtest-gitypelibtest.obj -MD -MP -MF $(DEPDIR)/gitypelibtest-gitypelibtest.Tpo -c -o gitypelibtest-gitypelibtest.obj `if test -f '$(srcdir)/gitypelibtest.c'; then $(CYGPATH_W) '$(srcdir)/gitypelibtest.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/gitypelibtest.c'; fi`
732 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/gitypelibtest-gitypelibtest.Tpo $(DEPDIR)/gitypelibtest-gitypelibtest.Po
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(srcdir)/gitypelibtest.c' object='gitypelibtest-gitypelibtest.obj' libtool=no @AMDEPBACKSLASH@
734 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gitypelibtest_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gitypelibtest-gitypelibtest.obj `if test -f '$(srcdir)/gitypelibtest.c'; then $(CYGPATH_W) '$(srcdir)/gitypelibtest.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/gitypelibtest.c'; fi`
736
737 mostlyclean-libtool:
738         -rm -f *.lo
739
740 clean-libtool:
741         -rm -rf .libs _libs
742
743 ID: $(am__tagged_files)
744         $(am__define_uniq_tagged_files); mkid -fID $$unique
745 tags: tags-am
746 TAGS: tags
747
748 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
749         set x; \
750         here=`pwd`; \
751         $(am__define_uniq_tagged_files); \
752         shift; \
753         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
754           test -n "$$unique" || unique=$$empty_fix; \
755           if test $$# -gt 0; then \
756             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
757               "$$@" $$unique; \
758           else \
759             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
760               $$unique; \
761           fi; \
762         fi
763 ctags: ctags-am
764
765 CTAGS: ctags
766 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
767         $(am__define_uniq_tagged_files); \
768         test -z "$(CTAGS_ARGS)$$unique" \
769           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
770              $$unique
771
772 GTAGS:
773         here=`$(am__cd) $(top_builddir) && pwd` \
774           && $(am__cd) $(top_srcdir) \
775           && gtags -i $(GTAGS_ARGS) "$$here"
776 cscopelist: cscopelist-am
777
778 cscopelist-am: $(am__tagged_files)
779         list='$(am__tagged_files)'; \
780         case "$(srcdir)" in \
781           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
782           *) sdir=$(subdir)/$(srcdir) ;; \
783         esac; \
784         for i in $$list; do \
785           if test -f "$$i"; then \
786             echo "$(subdir)/$$i"; \
787           else \
788             echo "$$sdir/$$i"; \
789           fi; \
790         done >> $(top_builddir)/cscope.files
791
792 distclean-tags:
793         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
794
795 # Recover from deleted '.trs' file; this should ensure that
796 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
797 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
798 # to avoid problems with "make -n".
799 .log.trs:
800         rm -f $< $@
801         $(MAKE) $(AM_MAKEFLAGS) $<
802
803 # Leading 'am--fnord' is there to ensure the list of targets does not
804 # expand to empty, as could happen e.g. with make check TESTS=''.
805 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
806 am--force-recheck:
807         @:
808
809 $(TEST_SUITE_LOG): $(TEST_LOGS)
810         @$(am__set_TESTS_bases); \
811         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
812         redo_bases=`for i in $$bases; do \
813                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
814                     done`; \
815         if test -n "$$redo_bases"; then \
816           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
817           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
818           if $(am__make_dryrun); then :; else \
819             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
820           fi; \
821         fi; \
822         if test -n "$$am__remaking_logs"; then \
823           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
824                "recursion detected" >&2; \
825         elif test -n "$$redo_logs"; then \
826           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
827         fi; \
828         if $(am__make_dryrun); then :; else \
829           st=0;  \
830           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
831           for i in $$redo_bases; do \
832             test -f $$i.trs && test -r $$i.trs \
833               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
834             test -f $$i.log && test -r $$i.log \
835               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
836           done; \
837           test $$st -eq 0 || exit 1; \
838         fi
839         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
840         ws='[   ]'; \
841         results=`for b in $$bases; do echo $$b.trs; done`; \
842         test -n "$$results" || results=/dev/null; \
843         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
844         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
845         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
846         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
847         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
848         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
849         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
850         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
851           success=true; \
852         else \
853           success=false; \
854         fi; \
855         br='==================='; br=$$br$$br$$br$$br; \
856         result_count () \
857         { \
858             if test x"$$1" = x"--maybe-color"; then \
859               maybe_colorize=yes; \
860             elif test x"$$1" = x"--no-color"; then \
861               maybe_colorize=no; \
862             else \
863               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
864             fi; \
865             shift; \
866             desc=$$1 count=$$2; \
867             if test $$maybe_colorize = yes && test $$count -gt 0; then \
868               color_start=$$3 color_end=$$std; \
869             else \
870               color_start= color_end=; \
871             fi; \
872             echo "$${color_start}# $$desc $$count$${color_end}"; \
873         }; \
874         create_testsuite_report () \
875         { \
876           result_count $$1 "TOTAL:" $$all   "$$brg"; \
877           result_count $$1 "PASS: " $$pass  "$$grn"; \
878           result_count $$1 "SKIP: " $$skip  "$$blu"; \
879           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
880           result_count $$1 "FAIL: " $$fail  "$$red"; \
881           result_count $$1 "XPASS:" $$xpass "$$red"; \
882           result_count $$1 "ERROR:" $$error "$$mgn"; \
883         }; \
884         {                                                               \
885           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
886             $(am__rst_title);                                           \
887           create_testsuite_report --no-color;                           \
888           echo;                                                         \
889           echo ".. contents:: :depth: 2";                               \
890           echo;                                                         \
891           for b in $$bases; do echo $$b; done                           \
892             | $(am__create_global_log);                                 \
893         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
894         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
895         if $$success; then                                              \
896           col="$$grn";                                                  \
897          else                                                           \
898           col="$$red";                                                  \
899           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
900         fi;                                                             \
901         echo "$${col}$$br$${std}";                                      \
902         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
903         echo "$${col}$$br$${std}";                                      \
904         create_testsuite_report --maybe-color;                          \
905         echo "$$col$$br$$std";                                          \
906         if $$success; then :; else                                      \
907           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
908           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
909             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
910           fi;                                                           \
911           echo "$$col$$br$$std";                                        \
912         fi;                                                             \
913         $$success || exit 1
914
915 check-TESTS:
916         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
917         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
918         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
919         @set +e; $(am__set_TESTS_bases); \
920         log_list=`for i in $$bases; do echo $$i.log; done`; \
921         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
922         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
923         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
924         exit $$?;
925 recheck: all 
926         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
927         @set +e; $(am__set_TESTS_bases); \
928         bases=`for i in $$bases; do echo $$i; done \
929                  | $(am__list_recheck_tests)` || exit 1; \
930         log_list=`for i in $$bases; do echo $$i.log; done`; \
931         log_list=`echo $$log_list`; \
932         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
933                 am__force_recheck=am--force-recheck \
934                 TEST_LOGS="$$log_list"; \
935         exit $$?
936 gitestrepo.log: gitestrepo$(EXEEXT)
937         @p='gitestrepo$(EXEEXT)'; \
938         b='gitestrepo'; \
939         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
940         --log-file $$b.log --trs-file $$b.trs \
941         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
942         "$$tst" $(AM_TESTS_FD_REDIRECT)
943 giteststructinfo.log: giteststructinfo$(EXEEXT)
944         @p='giteststructinfo$(EXEEXT)'; \
945         b='giteststructinfo'; \
946         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
947         --log-file $$b.log --trs-file $$b.trs \
948         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
949         "$$tst" $(AM_TESTS_FD_REDIRECT)
950 gitestthrows.log: gitestthrows$(EXEEXT)
951         @p='gitestthrows$(EXEEXT)'; \
952         b='gitestthrows'; \
953         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
954         --log-file $$b.log --trs-file $$b.trs \
955         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
956         "$$tst" $(AM_TESTS_FD_REDIRECT)
957 gitypelibtest.log: gitypelibtest$(EXEEXT)
958         @p='gitypelibtest$(EXEEXT)'; \
959         b='gitypelibtest'; \
960         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
961         --log-file $$b.log --trs-file $$b.trs \
962         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
963         "$$tst" $(AM_TESTS_FD_REDIRECT)
964 .test.log:
965         @p='$<'; \
966         $(am__set_b); \
967         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
968         --log-file $$b.log --trs-file $$b.trs \
969         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
970         "$$tst" $(AM_TESTS_FD_REDIRECT)
971 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
972 @am__EXEEXT_TRUE@       @p='$<'; \
973 @am__EXEEXT_TRUE@       $(am__set_b); \
974 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
975 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
976 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
977 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
978
979 distdir: $(DISTFILES)
980         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
981         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
982         list='$(DISTFILES)'; \
983           dist_files=`for file in $$list; do echo $$file; done | \
984           sed -e "s|^$$srcdirstrip/||;t" \
985               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
986         case $$dist_files in \
987           */*) $(MKDIR_P) `echo "$$dist_files" | \
988                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
989                            sort -u` ;; \
990         esac; \
991         for file in $$dist_files; do \
992           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
993           if test -d $$d/$$file; then \
994             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
995             if test -d "$(distdir)/$$file"; then \
996               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
997             fi; \
998             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
999               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1000               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1001             fi; \
1002             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1003           else \
1004             test -f "$(distdir)/$$file" \
1005             || cp -p $$d/$$file "$(distdir)/$$file" \
1006             || exit 1; \
1007           fi; \
1008         done
1009 check-am: all-am
1010         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1011 check: check-am
1012 all-am: Makefile
1013 installdirs:
1014 install: install-am
1015 install-exec: install-exec-am
1016 install-data: install-data-am
1017 uninstall: uninstall-am
1018
1019 install-am: all-am
1020         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1021
1022 installcheck: installcheck-am
1023 install-strip:
1024         if test -z '$(STRIP)'; then \
1025           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1026             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1027               install; \
1028         else \
1029           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1030             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1031             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1032         fi
1033 mostlyclean-generic:
1034         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1035         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1036         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1037
1038 clean-generic:
1039         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1040
1041 distclean-generic:
1042         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1043         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1044
1045 maintainer-clean-generic:
1046         @echo "This command is intended for maintainers to use"
1047         @echo "it deletes files that may require special tools to rebuild."
1048 clean: clean-am
1049
1050 clean-am: clean-generic clean-libtool mostlyclean-am
1051
1052 distclean: distclean-am
1053         -rm -rf ./$(DEPDIR)
1054         -rm -f Makefile
1055 distclean-am: clean-am distclean-compile distclean-generic \
1056         distclean-tags
1057
1058 dvi: dvi-am
1059
1060 dvi-am:
1061
1062 html: html-am
1063
1064 html-am:
1065
1066 info: info-am
1067
1068 info-am:
1069
1070 install-data-am:
1071
1072 install-dvi: install-dvi-am
1073
1074 install-dvi-am:
1075
1076 install-exec-am:
1077
1078 install-html: install-html-am
1079
1080 install-html-am:
1081
1082 install-info: install-info-am
1083
1084 install-info-am:
1085
1086 install-man:
1087
1088 install-pdf: install-pdf-am
1089
1090 install-pdf-am:
1091
1092 install-ps: install-ps-am
1093
1094 install-ps-am:
1095
1096 installcheck-am:
1097
1098 maintainer-clean: maintainer-clean-am
1099         -rm -rf ./$(DEPDIR)
1100         -rm -f Makefile
1101 maintainer-clean-am: distclean-am maintainer-clean-generic
1102
1103 mostlyclean: mostlyclean-am
1104
1105 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1106         mostlyclean-libtool
1107
1108 pdf: pdf-am
1109
1110 pdf-am:
1111
1112 ps: ps-am
1113
1114 ps-am:
1115
1116 uninstall-am:
1117
1118 .MAKE: check-am install-am install-strip
1119
1120 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1121         clean-generic clean-libtool cscopelist-am ctags ctags-am \
1122         distclean distclean-compile distclean-generic \
1123         distclean-libtool distclean-tags distdir dvi dvi-am html \
1124         html-am info info-am install install-am install-data \
1125         install-data-am install-dvi install-dvi-am install-exec \
1126         install-exec-am install-html install-html-am install-info \
1127         install-info-am install-man install-pdf install-pdf-am \
1128         install-ps install-ps-am install-strip installcheck \
1129         installcheck-am installdirs maintainer-clean \
1130         maintainer-clean-generic mostlyclean mostlyclean-compile \
1131         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1132         recheck tags tags-am uninstall uninstall-am
1133
1134 .PRECIOUS: Makefile
1135
1136
1137 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1138 # Otherwise a system limit (for SysV at least) may be exceeded.
1139 .NOEXPORT: